Load property/location context
curl --request GET \
--url https://app.getaptly.com/api/portal/context/{contextId}import requests
url = "https://app.getaptly.com/api/portal/context/{contextId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://app.getaptly.com/api/portal/context/{contextId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "loc_xyz789",
"name": "The Residences at Oak Creek - Unit 204",
"companyId": "org_abc123",
"address": {
"formattedAddress": "123 Main St, Austin TX 78701",
"state": "TX",
"countryName": "United States"
},
"bedCount": 2,
"bathCount": 1,
"squareFeet": 950,
"marketRent": "$1,500",
"marketRentValue": 150000,
"videoUrl": "<string>",
"virtualTourUrl": "<string>",
"applicationConfig": {
"availableDate": "2026-04-01",
"marketRent": "$1,500",
"marketRentValue": 150000,
"incomeToRent": 3,
"marketingTitle": "<string>",
"marketingBlurb": "<string>",
"applicationRequirements": "<string>",
"petRestrictions": "<string>",
"leaseTerms": "<string>",
"coverPhoto": [
"<string>"
],
"marketingImages": [
"<string>"
],
"agent": {
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"photo": "<string>"
}
},
"companyInfo": {
"requireBankConnect": true,
"disableApplicantGuarantors": true,
"disableBankScreening": true,
"requireEmergencyContact": true,
"applicationLock": "onClose",
"enableSection8": true,
"enableRegionalScreeningFilters": true,
"collectPayment": true,
"taxDocumentCount": 123,
"bankStatementCount": 123,
"payStubCount": 123,
"toggleChatWindow": true
}
}Context & Locations
Load property/location context
GET
/
context
/
{contextId}
Load property/location context
Path Parameters
Query Parameters
Available options:
applicant, approver, showing Show property regardless of publish status
Response
200 - application/json
Location/context object
Example:
"loc_xyz789"
Example:
"The Residences at Oak Creek - Unit 204"
Example:
"org_abc123"
Show child attributes
Show child attributes
Example:
2
Example:
1
Example:
950
Example:
"$1,500"
Example:
150000
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I